Retrieve a patient's diagnoses

Last updated: Sep 11, 2025
PRODUCT OWNER
HEALTH TECH VENDOR
IMPLEMENTATION

You can use this API action to access a patient’s diagnoses, as documented by a specific organization. The EHR system returns a patient’s general diagnoses, problems, or health concerns.

Prerequisite: Having a patient identifier

To use this API action, you must know the patient identifier. If you don’t have one, search for a patient with demographics to locate an appropriate identifier first.

Use cases

This API action may be a good fit for your organization if you perform any of these use cases:

  • Provide patient education for specific conditions.
  • Offer targeted services to relevant patients.

Supported systems

You can use this API action with the Redox FHIR® API.

Talk to a Redoxer

It’s also possible to use the Redox Data Model API for this API action. Talk to a Redoxer to learn about your options.

Your connection's system can return results with their own FHIR® or query-based API. 

Things you need to know

What's next?

Does this API action seem like a good fit for your unique workflow? Let your Technical Account Manager know! To start development, download the resource schema noted in the related action step. Then decide which data elements you need.

If you’re new to Redox, use the Quickstart guide to dive in. If you’re not engaged with our sales team yet, talk to a Redoxer to get started.

Action steps

Prerequisites

The following actions must be completed before attempting the steps below.

Steps
  • 1
    Retrieve a patient's diagnoses
    required

This table has notes about how to use parameters for this API action specifically, but it's not exhaustive. Refer to the Condition schema for more details.

Query parameter

Required

Notes

patient.identifier

Y

You must include at least one identifier for the patient that the EHR system uses. If you don't have a patient identifier, search for a patient with demographics to find one.

category

N

We recommend using this query parameter with the value problem-list-item to get a comprehensive list of diagnoses.

The response contains one or more conditions for an individual patient. You can find the total number of included diagnoses in the total array for FHIR® responses.

Condition/_search
Query
bash
1
curl 'https://api.redoxengine.com/fhir/R4/redox-fhir-sandbox/Development/Condition/_search' \
2
--request POST \
3
--header 'Authorization: Bearer ${API_TOKEN}' \
4
--header 'Content-Type: application/x-www-form-urlencoded' \
5
--data-urlencode 'patient=Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7' \
6
--data-urlencode 'category=problem-list-item'
Response
json
1
{
2
"id": "c336094f-e294-4d9e-baee-89e26f6ac648",
3
"type": "searchset",
4
"entry": [
5
{
6
"search": {
7
"mode": "match",
8
"score": 1
9
},
10
"resource": {
11
"id": "fc26ffe0-130f-41a6-bd22-2cd388eb3ddf",
12
"code": {
13
"coding": [
14
{
15
"code": "386661006",
16
"system": "http://snomed.info/sct",
17
"display": "Fever"
18
}
19
]
20
},
21
"meta": {
22
"lastUpdated": "2022-12-02T20:50:05.204Z"
23
},
24
"subject": {
25
"reference": "Patient/81c2f5eb-f99f-40c4-b504-59483e6148d7"
26
},
27
"bodySite": [
28
{
29
"coding": [
30
{
31
"code": "38266002",
32
"system": "http://snomed.info/sct",
33
"display": "Entire body as a whole"
34
}
35
]
36
}
37
],
38
"category": [
39
{
40
"coding": [
41
{
42
"code": "55607006",
43
"system": "http://snomed.info/sct",
44
"display": "Problem"
45
},
46
{
47
"code": "problem-list-item",
48
"system": "http://terminology.hl7.org/CodeSystem/condition-category"
49
}
50
]
51
}
52
],
53
"severity": {
54
"coding": [
55
{
56
"code": "255604002",
57
"system": "http://snomed.info/sct",
58
"display": "Mild"
59
}
60
]
61
},
62
"identifier": [
63
{
64
"value": "5849283275",
65
"system": "urn:redox:redox-fhir-sandbox:ConditionID",
66
"extension": [
67
{
68
"url": "https://fhir.redoxengine.com/StructureDefinition/identifier-origin",
69
"valueString": "RedoxAPI"
70
}
71
]
72
}
73
],
74
"resourceType": "Condition",
75
"onsetDateTime": "2022-08-06T04:00:00.000Z",
76
"clinicalStatus": {
77
"coding": [
78
{
79
"code": "resolved",
80
"system": "http://terminology.hl7.org/CodeSystem/condition-clinical"
81
}
82
]
83
},
84
"abatementDateTime": "2022-08-06T04:00:00.000Z",
85
"verificationStatus": {
86
"coding": [
87
{
88
"code": "confirmed",
89
"system": "http://terminology.hl7.org/CodeSystem/condition-ver-status"
90
}
91
]
92
}
93
}
94
}
95
],
96
"total": 1,
97
"resourceType": "Bundle"
98
}

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.